Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.transport.jms
Class JMSTransportSupport

    java.lang.Object
      org.jboss.webservice.transport.jms.JMSTransportSupport

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, javax.ejb.MessageDrivenBean, javax.jms.MessageListener, Serializable

public abstract class JMSTransportSupport
extends Object
implements javax.ejb.MessageDrivenBean, javax.jms.MessageListener

The abstract base class for MDBs that want to act as web service endpoints. A subclass should only need to implement the service endpoint interface.

Author:
  thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary
`protected org.jboss.logging.Logger` | `log`

Constructor Summary
`JMSTransportSupport()`

Method Summary
`void` | `ejbCreate()`
`void` | `ejbRemove()` A container invokes this method before it ends the life of the message-driven object.
`protected org.apache.axis.server.AxisServer` | `getAxisServer()` Get the JBossWS installed Axis sever.
`protected javax.jms.Queue` | `getReplyQueue(javax.jms.BytesMessage message)` Get the reply queue.
`protected String` | `getServiceName()` Return the service name for this MDB
`void` | `onMessage(javax.jms.Message message)` All messages come in here, if it is a BytesMessage we pass it on for further processing.
`protected void` | `processSOAPMessage(javax.jms.BytesMessage message)` Read the SOAP message and pass it on to Axis.
`protected void` | `sendResponse(javax.jms.Queue replyQueue, org.apache.axis.Message axisResponse)` Respond to the call by sending a message to the reply queue
`void` | `setMessageDrivenContext(javax.ejb.MessageDrivenContext ctx)` Set the associated message-driven context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.jboss.logging.Logger log

Constructor Detail

### JMSTransportSupport

    public JMSTransportSupport()

Method Detail

### getAxisServer

    protected org.apache.axis.server.AxisServer getAxisServer()

  Get the JBossWS installed Axis sever.

### getServiceName

    protected String getServiceName()

  Return the service name for this MDB

### onMessage

    public void onMessage(javax.jms.Message message)

  All messages come in here, if it is a BytesMessage we pass it on for further processing.

  Specified by:
    `onMessage` in interface `javax.jms.MessageListener`

### processSOAPMessage

    protected void processSOAPMessage(javax.jms.BytesMessage message)
                               throws Exception

  Read the SOAP message and pass it on to Axis. The server should have an installes service, which uses this MDB as pivot point.

  Throws:
    `Exception`

### getReplyQueue

    protected javax.jms.Queue getReplyQueue(javax.jms.BytesMessage message)
                                     throws javax.jms.JMSException

  Get the reply queue.

  Throws:
    `javax.jms.JMSException`

### sendResponse

    protected void sendResponse(javax.jms.Queue replyQueue,
                                org.apache.axis.Message axisResponse)
                         throws javax.xml.soap.SOAPException,
                                IOException,
                                javax.jms.JMSException

  Respond to the call by sending a message to the reply queue

  Throws:
    `javax.xml.soap.SOAPException`
    `IOException`
    `javax.jms.JMSException`

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  A container invokes this method before it ends the life of the message-driven object.

  Specified by:
    `ejbRemove` in interface `javax.ejb.MessageDrivenBean`
  Throws:
    `javax.ejb.EJBException`

### setMessageDrivenContext

    public void setMessageDrivenContext(javax.ejb.MessageDrivenContext ctx)
                                 throws javax.ejb.EJBException

  Set the associated message-driven context.

  Specified by:
    `setMessageDrivenContext` in interface `javax.ejb.MessageDrivenBean`
  Throws:
    `javax.ejb.EJBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.